Subject: Re: IPv4 and IPv6 stack multi-FIB, scalable in the million of entries.

From: "David S. Miller" <[email-masked]>
Date: Thu, 8 Apr 2004 11:33:50 -0700

On Thu, 8 Apr 2004 14:10:43 -0400
"Mathieu Giguere" <[email-masked]> wrote:

> The main goal to remove the routing cache is to avoid to have 4096 routes
> limitation

This 4K routes limitation is news to everyone who works on this
code.

When nexthop changes we _MUST_ flush PMTU etc. information because that
could have changed.  If however, such information is locked into the
route itself, it will propagate immediately into the routing cache
entry once recreated.

You seem to be talking about a lot of non-problems, but this may because
you're not providing enough details.